#version 330 core
in vec4 FragPos;

uniform vec4 lightPosPostPerspectiveSpace;
uniform float farPlane;

void main()
{
    float lightDistance = length(FragPos.xyz - lightPosPostPerspectiveSpace.xyz);
    
    // map to [0;1] range by dividing by far_plane
    lightDistance = lightDistance / farPlane;
    
    // write this as modified depth
    gl_FragDepth = lightDistance;
	//gl_FragDepth = 0.9; 
}